#!/bin/tcsh

#   This compilation script is modified version of the original 
#   "compile_relxill.csh" file taken from the RELXILL model package.
#   The original "compile_relxill.csh" code was adapted here, to allow
#   proper linking between REFLKERR model and RELXILL parts used by
#   REFLKERR.
#
#   Modified by Michal Szanecki (2018) 

ln -sf lmodel_reflkerr.dat lmodel.dat

# environment variable REFLKERR_TABLES can be used to alter
# the path to the tables

sed -i "s,.*reflkerr_tables = '.*',    reflkerr_tables = \'`pwd`\'," xreflecth.f90
sed -i "s,#define REFLKERR_TABLES.*,#define REFLKERR_TABLES "'"'`pwd`'"'"," xilbase.h

#    "For Mac OSX systems, use this"
# sed -i.ori "s,.*reflkerr_tables = '.*',    reflkerr_tables = \'`pwd`\'," xreflecth.f90
# sed -i.ori "s,.*reflkerr_tables = '.*',    reflkerr_tables = \'`pwd`\'," xilbase.h

echo "initpackage reflkerr lmodel.dat "`pwd`"\nquit\ny" | xspec

rm *~ *.o
rm *FunctionMap.* lpack_* 
rm -f *.mod Makefile

